$packageName    = 'kubernetes-cli'
$url            = 'https://dl.k8s.io/v1.8.2/kubernetes-client-windows-386.tar.gz'
$url64          = 'https://dl.k8s.io/v1.8.2/kubernetes-client-windows-amd64.tar.gz'
$checksum       = 'ecaadb5a4c08357685dbaee288d1220bd60ff0f86281ec88a5467da6eebf213b'
$checksum64     = 'b8ff337615f740b1501cf7284d7f0a51a82880dcf23fff2464f8d37045c27f3f'
$checksumType   = 'sha256'
$checksumType64 = 'sha256'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$tempDir    = "$toolsDir\temp"


# Download and unzip into a temp folder
Install-ChocolateyZipPackage -PackageName "$packageName" -UnzipLocation "$tempDir" -Url "$url" -Url64 "$url64" -Checksum "$checksum" -ChecksumType "$checksumType" -Checksum64 "$checksum64" -ChecksumType64 "$checksumType64"

# Untar into tools folder
Get-ChocolateyUnzip -PackageName "$packageName" -FileFullPath "$tempDir" -Destination "$toolsDir"

# Remove temp folder
Remove-Item "$tempDir\*" -recurse
Remove-Item "$tempDir"
